Issue 124039 - line ends in (new) inputfields
Summary: line ends in (new) inputfields
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 4.1.0-dev
Hardware: PC Windows 7
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: Oliver-Rainer Wittmann
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-17 09:49 UTC by Martin Motschmann
Modified: 2017-05-20 10:35 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments
att. (40.54 KB, image/png)
2014-01-17 09:49 UTC, Martin Motschmann
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Martin Motschmann 2014-01-17 09:49:16 UTC
Created attachment 82308 [details]
att.

In the new input fields the line ends act not the right way.

Insert input field -> fill in the blindtext (bt+F3) -> look at the ends.

Words are written over the line borders.

e.g.

text is displayes like this:
Comment 1 Edwin Sharp 2014-01-17 11:37:51 UTC
Please specify steps to reproduce bug.
Comment 2 Martin Motschmann 2014-01-17 11:53:50 UTC
@ Edwin

Insert via Strg+F2 an INSERT FIELD


Fill in some text with more then one lines end:

Result:

text text text text text t
ext text text text text te
xt text text text text text 
text text text text text t
ext.
Comment 3 Martin Motschmann 2014-01-17 11:58:45 UTC
@ Edwin

Insert via Strg+F2 an INSERT FIELD


Fill in some text with more then one lines end:

Result:

text text text text text t
ext text text text text te
xt text text text text text 
text text text text text t
ext.
Comment 4 Edwin Sharp 2014-01-17 12:13:01 UTC
Thank you.

1. Ctrl+F2
2. Functions - Type=Input field - Insert
3. Type multi line text - OK
4. Close

Confirmed with
AOO410m1(Build:9750)  -  Rev. 1558424
Rev.1558424
Win 7
Comment 5 Oliver-Rainer Wittmann 2014-01-17 12:58:45 UTC
This is a regression introduced by my work for bug 33737 - the formatting of Input Field's content does not work anymore.

I am taking over to work on a solution.
Comment 6 Oliver-Rainer Wittmann 2014-01-17 13:00:53 UTC
This defect also breaks the layout of text documents containing multi-line Input Fields which were created in former OpenOffice versions.
Comment 7 SVN Robot 2014-01-20 11:10:20 UTC
"orw" committed SVN revision 1559666 into trunk:
124039: <SwTxtInputFldPortion::Format(..)> - assure correct line break for mu...
Comment 8 Oliver-Rainer Wittmann 2014-01-20 11:28:06 UTC
fixed in trunk for the next release